---
operationId: "updateNeonAuthEmailServer"
method: "PATCH"
path: "/projects/{project_id}/auth/email_server"
tag: "auth-legacy"
interfaces: ["api", "sdk"]
---
> API Reference / Legacy Auth / Update email server configuration

## PATCH /projects/{project_id}/auth/email_server

DEPRECATED, use `/projects/{project_id}/branches/{branch_id}/auth/email_provider` instead. Updates the email server configuration for the specified project.


### Parameters

- `project_id` (string, path, required)
  The Neon project ID

### Request body

- `host` (string, required)
- `port` (integer, required)
- `username` (string, required)
- `password` (string, required)
- `sender_email` (string, required)
- `sender_name` (string, required)

### Response (200)

- `host` (string, optional)
- `port` (integer, optional)
- `username` (string, optional)
- `password` (string, optional)
- `sender_email` (string, optional)
- `sender_name` (string, optional)

### Code examples

```bash
curl "https://console.neon.tech/api/v2/projects/$PROJECT_ID/auth/email_server" \
  -X PATCH \
  -H "Authorization: Bearer $NEON_API_KEY"
```

```typescript
import { createNeonClient, raw } from '@neon/sdk';

const neon = createNeonClient({ apiKey: process.env.NEON_API_KEY });
const { data } = await raw.updateNeonAuthEmailServer({
  client: neon.client,
  path: {
    project_id: process.env.PROJECT_ID
  }
});
```

### Errors

**default**
General Error.

The request may or may not be safe to retry, depending on the HTTP method, response status code,
and whether a response was received.

- If no response is returned from the API, a network error or timeout likely occurred.
- In some cases, the request may have reached the server and been successfully processed, but the response failed to reach the client. As a result, retrying non-idempotent requests can lead to unintended results.

The following HTTP methods are considered non-idempotent: `POST`, `PATCH`, `DELETE`, and `PUT`. Retrying these methods is generally **not safe**.
The following methods are considered idempotent: `GET`, `HEAD`, and `OPTIONS`. Retrying these methods is **safe** in the event of a network error or timeout.

Any request that returns a `503 Service Unavailable` response is always safe to retry.

Any request that returns a `423 Locked` response is safe to retry. `423 Locked` indicates that the resource is temporarily locked, for example, due to another operation in progress.

- `request_id` (string, optional)
  Unique identifier for the request, useful for debugging.
  You can set this value manually by including an `X-Request-ID` header in the request. If not provided, the value will be generated automatically.
  
- `code` (string, required)
  Default: ``
- `message` (string, required)
  Error message
